Skip to main content
POST
/
api
/
public
/
v1
/
roboadvisor
/
withdraw
curl --request POST \ --url https://api.wallbit.io/api/public/v1/roboadvisor/withdraw \ --header 'Content-Type: application/json' \ --header 'X-API-Key: <api-key>' \ --data ' { "robo_advisor_id": 1, "amount": 200, "to": "DEFAULT" } '
{ "data": { "uuid": "660e9500-f30c-52e5-b827-557766551111", "type": "ROBOADVISOR_WITHDRAW", "amount": 200, "status": "PENDING", "created_at": "2024-01-15T14:00:00+00:00" } }

Authorizations

X-API-Key
string
header
required

API Key authentication. Obtain your API key from the Wallbit dashboard under Settings → API Keys.

Body

application/json
robo_advisor_id
integer
required

ID of the source Robo Advisor or Chest portfolio. Obtained from the GET /roboadvisor/balance endpoint

Example:

1

amount
number<float>
required

Amount to withdraw in USD (minimum: 1). Cannot exceed the portfolio's available equity.

Required range: x >= 1
Example:

200

to
enum<string>
required

Destination account. DEFAULT = checking account, INVESTMENT = investment account

Available options:
DEFAULT,
INVESTMENT
Example:

"DEFAULT"

Response

Withdrawal initiated successfully

data
object